<?php
	include $_SERVER['DOCUMENT_ROOT'].'/common/lib/comm.php';
	include $_SERVER['DOCUMENT_ROOT'].'/common/login_aap_chk.php';
	include $_SERVER['DOCUMENT_ROOT'].'/common/auto_login_aap_chk.php';

	$url = $_REQUEST["url"];
	if($url == "") $url = "/aap/main.php";
?>

<?php include_once($_SERVER['DOCUMENT_ROOT']."/aap/include/top.php"); ?>

<main class="normal--wrap full--size">
	<section class="login--form--wrap">
		<div class="login--form--contents">

			<div class="login--box--title">
				<a href="/aap" class="logo">이차조아</a>
				<h2>딜러 / AAP 직원 로그인</h2>
			</div>
			<div class="input--box">
				<div class="input--form--box mb-3"><input style="height:60px" placeholder="아이디" type="text" name="cd_dealerid" id="cd_dealerid" class="form-control"></div>
				<div class="input--form--box mb-4"><input style="height:60px" placeholder="비밀번호" type="password" name="nm_pass" id="nm_pass" class="form-control pasword--in"></div>

				<div class="button-login-box">
					<button type="button" style="height:60px" class="btn btn-primary btn-xs" id="btn_login">로그인</button>
				</div>
				<div class="loc--box">
					<div class="front--section">
						<a href="find_id.php">아이디 찾기</a>
						<a href="find_pwd.php">비밀번호 찾기</a>
					</div>
					<div class="back--section">
						<a href="join.php">회원가입</a>
					</div>
				</div>
			</div>
		</div>
	</section>
</main>

<script type="text/javascript">
	$(document).ready(function() {
		$(".login--form--contents input").keypress(function(e) {
	    	if (e.keyCode == 13){
	        	$("#btn_login").click();
		    }
		});

		$("#btn_login").on("click", function(){

			var custom_opts = {
				title : '',
				btn_close_show : false,
			}

			var fieldlist = [["cd_dealerid","아이디"],["nm_pass","비밀번호"]];

			if (!fnCheckForm(fieldlist)){
				return false;
			}

			var auto_login = "N";
			if($("#auto_login").prop("checked")) {
				auto_login = "Y";
			}

            $.post("login_proc.php", { mode:"login", cd_dealerid: $("#cd_dealerid").val(), nm_pass: $("#nm_pass").val(), auto_login: auto_login},function(res) {

				if(res.CODE != "0000") {
					var error_msg = "";
					switch(res.CODE) {
						case 9890:
							error_msg = "로그인 정보가 정확하지 않습니다.";
							break;

						case 4444:
							error_msg = "탈퇴한 APP 직원입니다.";
							break;
						case 4445:
							error_msg = "휴면계정 APP 직원입니다.";
							break;
						case 4446:
							error_msg = "승인되지 않은 회원입니다.";
							break;
					}


					custom_opts.title = error_msg;
					custom_modal_alert(custom_opts);
                    return false;
				}

				// alert("<?=$url?>");
				// return false;
				var auto_login = $("#auto_login").prop("checked");
				if(auto_login == true) {
					setLogin(res.DATAS.enc_str);
				}
				// alert(res.DATAS.enc_str);
				// return false;
				link("<?=$url?>");


                // if(data=="Y"){
                //     location.href = "<?=$url?>";
                // }else if(data=="F"){
				// 	custom_opts.title = "승인되지 않은 APP 직원입니다.";
				// 	custom_modal_alert(custom_opts);
                //     return false;
                // }else if(data=="S"){
				// 	custom_opts.title = "관리자에게 문의하세요.";
				// 	custom_modal_alert(custom_opts);
                //     return false;
                // }else{
				// 	custom_opts.title = "로그인 정보가 정확하지 않습니다.";
				// 	custom_modal_alert(custom_opts);
                //     return false;
                // }
            }, "json");
		});


		// $("#btn_search_pw").on("click",function(){
		// 	if($("#cd_dealerid").val() == ""){
        // 		fnCheckForm_normal("아이디를 입력하세요.");
        //         $("#cd_dealerid").focus();
        //         return false;
        //     }
		//
		// 	if($("#nm_name").val() == ""){
		// 		fnCheckForm_normal("이름을 입력하세요.");
		// 		$("#nm_name").focus();
		// 		return false;
		// 	}
		//
		// 	// $("#nm_email").val($("#nm_email1").val()+"@"+$("#nm_email2").val());
		//
		// 	if(confirm("정보 조회시 패스워드가 초기화 됩니다.\n 조회하시겠습니까?")){
		// 		$.post("join_proc.php", { mode: "PwSearch", cd_dealerid: $("#cd_dealerid").val(), nm_name: $("#nm_name").val()},function(data) {
		// 			if(data!=""){
		// 				$(".search_result").find("p").html("<span>"+$("#nm_name").val() +"</span>님의 비밀번호는<br><em>"+data +"</em> 입니다.");
		//
		// 				// openLayer('pw');
		//
		// 			 }else{
		// 				fnCheckForm_normal("검색된 아이디가 없습니다.");
		// 				return;
		// 			 }
		// 		});
		// 	}
		// });

	});
</script>


<?php include_once($_SERVER['DOCUMENT_ROOT']."/aap/include/bottom.php"); ?>
